#ifndef _LED_H_
#define _LED_H_

#include <stdio.h>
#include <klog.h>

class cLED : cKlog
{
public:
   enum eLedColour
   {
      LED_RED,
      LED_GREEN,
   };
   enum eLedState
   {
      LED_ON,
      LED_OFF,
   };
   cLED(int io_fd,int r_pin,int g_pin);
   ~cLED();
   void setColour(eLedColour );
   eLedColour getColour();
   void setState(eLedState );
   eLedState getState();
   void toggleColour();
   void toggleState();
private:
   eLedState mLedState;
   eLedColour mLedColour;
   int mRedPin;
   int mGreenPin;
   int mIOFd;
   void update();
};


#endif
